Package org.apache.avro

# Class SchemaBuilder.MapBuilder<R>

java.lang.Object
org.apache.avro.SchemaBuilder.PropBuilder<SchemaBuilder.MapBuilder<R>>
org.apache.avro.SchemaBuilder.MapBuilder<R>

Enclosing class:
  `SchemaBuilder`

public static final class SchemaBuilder.MapBuilder<R> extends SchemaBuilder.PropBuilder<SchemaBuilder.MapBuilder<R>>
Builds an Avro Map type with optional properties.

Set properties with `SchemaBuilder.PropBuilder.prop(String, String)`.

The Map schema's properties are finalized when `values()` or `values(Schema)` is called.

## Method Summary

Modifier and Type
Method
Description
`protected SchemaBuilder.MapBuilder<R>`
`self()`
a self-type for chaining builder subclasses.
`SchemaBuilder.TypeBuilder<R>`
`values()`
Return a type builder for configuring the map's nested values schema.
`R`
`values(Schema valueSchema)`
Complete configuration of this map, setting the schema of the map values to the schema provided.

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### self

protected SchemaBuilder.MapBuilder<R> self()
Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.MapBuilder<R>>`

### values

public SchemaBuilder.TypeBuilder<R> values()
Return a type builder for configuring the map's nested values schema. This builder will return control to the map's enclosing context when complete.

### values

public R values(Schema valueSchema)
Complete configuration of this map, setting the schema of the map values to the schema provided. Returns control to the enclosing context.